AOZ Studio Beta - Bug #838

AMAL registers still not working correctly
09/26/2021 04:43 PM - Jason Wroe

Status: Feedback Start date: 09/26/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

If i have the following ANAL string :-
STAN$="L RD = 0; | RD > 1 J K; A 0,(4,7)(5,7)(6,7)(7,7)(8,7)(137,1);"
STAN$=STAN$+"K: A 0,($8000+4,7)($8000+5,7)($8000+6,7)($8000+7,7)($8000+8,7)($8000+137,1);"

The second animation always runs no matter what RD registry is set too.

History

#1 - 09/26/2021 04:47 PM - Jason Wroe
ANAL is meant to be AMAL ;)

#2 - 09/28/2021 08:37 AM - Francois Lionet
:D :D :D At the time | wrote it | did not know | was gay. Well, it seems | knew! :D :D :D

#3 - 09/28/2021 09:16 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed.

#4 - 09/28/2021 09:29 AM - Francois Lionet

- Status changed from Resolved to Feedback

| have a doubt... And WIinUAE is not installed on this machine (lazy today).
On the Amiga, if you do a first Anim that does not loop, then a second one WITHOUT a Jump between them, the second animation is only played
when the first is complete?
